/* Display a quadruple of shifting circles
 (looks like expanding and contracting)
 
 Simple demo program to show graphical possibilities
 
 P. Peters
 20150225
*/
 
// left position, top position and maximum shift of circles
int leftPos, topPos, shiftMax;
int i = 0;
int radius = 0;

void setup() {
  // needed for processing, NOT for mobile processing
  size(600,600);
  smooth();
  // needs to be done here, height and width are not initialised before...
  leftPos = width/4;                  // position circles
  topPos = leftPos+(height-width)/2;   // somewhere in the middle
  shiftMax = width/2;
  radius = width/4;
}

void draw() {
  background(175);
  // draw shifted circles
  ellipse(leftPos+i,topPos,radius,radius);
  ellipse(leftPos+shiftMax,topPos+i,radius,radius);
  ellipse(leftPos+shiftMax-i,topPos+shiftMax,radius,radius);
  ellipse(leftPos, topPos+shiftMax-i,radius,radius);
  i++;
  if (i > shiftMax) i = 0;
}
